For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Welcome
  • API Reference
      • GETListar Herramientas
      • POSTCrear Herramienta
      • GETObtener Herramienta
      • DELEliminar Herramienta
      • PATCHActualizar Herramienta
Logo
API ReferenceTools

Actualizar Herramienta

PATCH
https://nebrijaai.com/api/v1/tools/:id
PATCH
/api/v1/tools/:id
$curl -X PATCH https://nebrijaai.com/api/v1/tools/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "name": "Customer Support Webhook",
4 "type": "httpRequest",
5 "description": "Sends customer support requests to the external ticketing system.",
6 "config": {},
7 "payloadSchema": {},
8 "messages": {},
9 "isLocked": true,
10 "createdAt": "2024-01-15T09:30:00Z",
11 "updatedAt": "2024-01-15T09:30:00Z"
12}
Was this page helpful?
Previous

Listar Webhooks

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringOptional
typestringOptional
descriptionstringOptional
configobjectOptional
payloadSchemaobjectOptional
messagesobjectOptional

Response

Herramienta actualizada.
idstringformat: "uuid"
namestring
typeenum
Allowed values:
descriptionstring
configobject
payloadSchemaobject
messagesobject
isLockedboolean
createdAtdatetime
updatedAtdatetime